org.apache.commons.ssl.asn1

## Class ASN1Encodable

- java.lang.Object
- - org.apache.commons.ssl.asn1.ASN1Encodable

All Implemented Interfaces:
  DEREncodable

Direct Known Subclasses:
  DERObject

    public abstract class ASN1Encodable
    extends java.lang.Object
    implements DEREncodable

### Field Summary

Fields
`static java.lang.String` `BER`
`static java.lang.String` `DER`

### Constructor Summary

Constructors
Constructor and Description
`ASN1Encodable()`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`byte[]` `getDEREncoded()` Return the DER encoding of the object, null if the DER encoding can not be made.
`DERObject` `getDERObject()`
`byte[]` `getEncoded()`
`byte[]` `getEncoded(java.lang.String encoding)`
`int` `hashCode()`
`abstract DERObject` `toASN1Object()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DER

    public static final java.lang.String DER

See Also:
  Constant Field Values

#### BER

    public static final java.lang.String BER

See Also:
  Constant Field Values

### Constructor Detail

#### ASN1Encodable

    public ASN1Encodable()

### Method Detail

#### getEncoded

    public byte[] getEncoded()
                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### getEncoded

    public byte[] getEncoded(java.lang.String encoding)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### getDEREncoded

    public byte[] getDEREncoded()

Return the DER encoding of the object, null if the DER encoding can not be made.

Returns:
  a DER byte array, null otherwise.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### getDERObject

    public DERObject getDERObject()

Specified by:
  `getDERObject` in interface `DEREncodable`

#### toASN1Object

    public abstract DERObject toASN1Object()